Subject: Re: [PATCH v3] powerpc: spinlock: Fix spin_unlock_wait()

From: Peter Zijlstra <[email-masked]>
Date: Thu, 9 Jun 2016 19:50:54 +0200

On Thu, Jun 09, 2016 at 10:23:28PM +1000, Michael Ellerman wrote:
> Unfortunately the patch isn't 100%.

So what I'll do; since my patch is trying to ensure all implementations
of spin_unlock_wait() provide ACQUIRE semantics, and this patch does
indeed do so, is skip touching PPC entirely and hope this patch lands
before 4.8.